Bug 214960 - New port: net-im/prosody-modules Prosody modules repository snapshot
Summary: New port: net-im/prosody-modules Prosody modules repository snapshot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D10400
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-30 17:26 UTC by martin
Modified: 2017-04-27 06:32 UTC (History)
2 users (show)

See Also:


Attachments
prosody-modules shar file (12.90 KB, text/plain)
2016-11-30 17:26 UTC, martin
no flags Details
prosody-modules shar file (13.34 KB, text/plain)
2017-04-14 14:48 UTC, martin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description martin 2016-11-30 17:26:57 UTC
Created attachment 177553 [details]
prosody-modules shar file

Hi,

Prosody has got some contributed modules that can be added to extend functionality. Instructions how to use them are included in the pkg-message file of this port. This is a snapshot of the current mercurial tree.

I have just tested and use the smacks module, which is required to get mobile XMPP clients to work properly without annoying message delivery failures.

Todos for the committer:

1) Replace ports@ (if you want to maintain).
2) Take a look at the ${CP} command. It does not protect against overwriting when flattening the repository hierarchy during stage for convenient use of the plugin path. I don't know if the option "-n" should be added for more robust behavior.
3) Optional: please test some of these modules.

--
Martin
Comment 1 martin 2016-12-15 09:29:03 UTC
Here an update.

I've tested a couple of modules successfully now. With these, I am optimistic that Prosody can be made compliant with latest XMPP requirements.

You can test XMPP servers with this tool here:
https://github.com/iNPUTmice/ComplianceTester
Comment 2 martin 2017-04-14 14:48:21 UTC
Created attachment 181782 [details]
prosody-modules shar file

Sync with latest repo state.
Comment 3 commit-hook freebsd_committer 2017-04-27 06:29:16 UTC
A commit references this bug:

Author: tcberner
Date: Thu Apr 27 06:28:13 UTC 2017
New revision: 439505
URL: https://svnweb.freebsd.org/changeset/ports/439505

Log:
  New port net-im/prosody-modules

  * Modules for net-im/prosody
  * Based on the patch by Martin Sugioarto <martin@sugioarto.com>

  PR:		214960
  Reviewed by:	rakuco, mat
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10400

Changes:
  head/net-im/Makefile
  head/net-im/prosody-modules/
  head/net-im/prosody-modules/Makefile
  head/net-im/prosody-modules/distinfo
  head/net-im/prosody-modules/files/
  head/net-im/prosody-modules/files/pkg-message.in
  head/net-im/prosody-modules/pkg-descr
  head/net-im/prosody-modules/pkg-plist
Comment 4 Tobias C. Berner freebsd_committer 2017-04-27 06:32:43 UTC
Committed. Thanks.